CGI::Switch(3)

NAME
CGI::Switch - Try more than one constructors and return the first object available

SYNOPSIS

 use CGISwitch;
  -or-
 use CGI::Switch This, That, CGI::XA, Foo, Bar, CGI;
 my $q = new CGI::Switch;

DESCRIPTION
Per default the new() method tries to call new() in the three packages Apache::CGI, CGI::XA, and CGI. It returns the first CGI object it succeeds with.

The import method allows you to set up the default order of the modules to be tested.

SEE ALSO
perl(1), Apache(3), CGI(3), CGI::XA(3)

AUTHOR
Andreas Koenig <a.koenig@mind.de>